#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 2

Name:       kdialog
Summary:    KDialog can be used to show nice dialog boxes from shell scripts
Version: 16.12.3
Epoch:          2
Release:    %mkrel %{rel}
Group:      Graphical desktop/KDE
License:    GPLv2
URL:        http://www.kde.org/
Source0:    http://download.kde.org/stable/applications/%{version}/src/%name-%{version}.tar.xz
Patch101:   0001-Allow-setting-output-format-for-getcolor.patch     
Patch102:   0002-KDialog-Fix-attach-argument-by-watching-for-QDialog.patch
Patch103:   0003-KDialog-use-separate-process-to-handle-the-progress-.patch 
Patch104:   0004-Fix-kdialog-progress-thanks-to-Thiago.patch 

BuildRequires: kf5-macros

BuildRequires: cmake(KF5KDELibs4Support)
BuildRequires: cmake(KF5KIO)

BuildRequires: pkgconfig(Qt5DBus)

BuildRequires: pkgconfig(x11)


%description
KDialog can be used to show nice dialog boxes from shell scripts

%files
%_kf5_bindir/kdialog
%_kf5_bindir/kdialog_progress_helper
%_datadir/dbus-1/interfaces/org.kde.kdialog.ProgressDialog.xml

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
export LD=%_kf5_bindir/ld.gold
%cmake_kf5

%make_build

%install
%make_install -C build



%changelog
* Mon Mar 27 2017 neoclust <neoclust> 2:16.12.3-2.mga6
+ Revision: 1094992
- Add 17.04 patches fixing upstream bugs

* Wed Mar 08 2017 neoclust <neoclust> 2:16.12.3-1.mga6
+ Revision: 1090055
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 2:16.12.0-1.mga6
+ Revision: 1076791
- New version 16.12.0

* Tue Dec 13 2016 neoclust <neoclust> 2:16.11.90-1.mga6
+ Revision: 1074472
- imported package kdialog

